Bug 865867 - gluster-swift upgrade to 3.3.1 wipes out proxy-server config
gluster-swift upgrade to 3.3.1 wipes out proxy-server config
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: object-storage (Show other bugs)
pre-release
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Peter Portante
:
Depends On:
Blocks: 903396 978061
  Show dependency treegraph
 
Reported: 2012-10-12 13:00 EDT by Shawn Heisey
Modified: 2015-10-22 11:40 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-22 11:40:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shawn Heisey 2012-10-12 13:00:48 EDT
Description of problem:
Upgrading gluster-swift from 3.3.0 to 3.3.1 wipes out at least one config file, without properly saving the original copy.

Steps to Reproduce:
1. Start with working gluster-swift running 3.3.0 from kkeithley's repo.
2. Issue 'yum upgrade' to upgrade to 3.3.1.
  
Actual results:
The proxy-server.conf file is overwritten with the default.  A proxy-server.conf.rpmsave file is created, but it has the same contents as the .conf file.  Any local changes are simply gone.

Expected results:
It should have left my config alone and created .rpmnew files.

Additional info:

  Updating   : glusterfs-swift-object-3.3.1-1.fc17.noarch                 13/41
warning: /etc/swift/object-server/1.conf saved as /etc/swift/object-server/1.conf.rpmsave
  Updating   : glusterfs-swift-plugin-3.3.1-1.fc17.noarch                 14/41
  Updating   : glusterfs-swift-account-3.3.1-1.fc17.noarch                15/41
warning: /etc/swift/account-server/1.conf saved as /etc/swift/account-server/1.conf.rpmsave
  Updating   : glusterfs-swift-container-3.3.1-1.fc17.noarch              16/41
warning: /etc/swift/container-server/1.conf saved as /etc/swift/container-server/1.conf.rpmsave
  Updating   : glusterfs-swift-proxy-3.3.1-1.fc17.noarch                  17/41
warning: /etc/swift/proxy-server.conf saved as /etc/swift/proxy-server.conf.rpmsave

Comparing the entire /etc/swift directory with that on my other UFO server, only proxy-server.conf has changes, so I do not know why the 1.conf files were replaced/rpmsaved.
Comment 1 Peter Portante 2012-10-27 00:01:41 EDT
I'll take this one, as I need to solve this for my own testing when building from RPMs.
Comment 2 Shawn Heisey 2012-11-08 16:12:45 EST
Upgrading from 3.3.1-1 to 3.3.1-2 just now also wiped out my config changes.  This info is probably not going to change anything, just including it for completeness.
Comment 3 Peter Portante 2012-11-08 16:38:24 EST
This will be resolved by this change out for review: http://review.gluster.org/4180
Comment 4 Luis Pabón 2013-08-02 10:25:18 EDT
The changes have been merged to GlusterFS 3.3.1, please close the bug.  This bug does not affect the new Gluster-for-Swift project.
Comment 5 Kaleb KEITHLEY 2015-10-22 11:40:20 EDT
pre-release version is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.

Note You need to log in before you can comment on or make changes to this bug.